Skip to content

setMethodMaterialStepLink

DESTRUCTIVE

Set method material step link.

POST /api/v1/items/setMethodMaterialStepLink
curl -X POST '<your-host>/api/v1/items/setMethodMaterialStepLink' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "methodMaterialId": "string",
    "methodOperationStepId": "string",
    "linked": true
  }'

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "methodMaterialId": {
      "type": "string"
    },
    "methodOperationStepId": {
      "type": "string"
    },
    "linked": {
      "type": "boolean"
    },
    "quantity": {
      "type": [
        "number",
        "null"
      ]
    }
  },
  "required": [
    "methodMaterialId",
    "methodOperationStepId",
    "linked"
  ]
}